<!-- (C) 2016 Conviva, Inc. All rights reserved. Confidential and proprietary. -->
<!-- This is sample code meant to illustrate proper Conviva integration in video applications. -->
<!-- This file should not be included in video applications as part of integrating Conviva. -->
<!DOCTYPE HTML>
<html>
<head>
  <link href="lib/bootstrap-3.3.1.min.css" rel="stylesheet">
  <script type="text/javascript" src="lib/jquery-2.1.1.min.js"></script>
  <script type="text/javascript" src="conviva/conviva-core-sdk.min.js"></script>
  <link rel="stylesheet" href="Html5SampleApplication.css">
  <script type="text/javascript" src="app/Html5SampleBootstrap.js"></script>
  <script type="text/javascript" src="app/Html5SampleUser.js"></script>
  <script type="text/javascript" src="app/Html5SampleConfig.js"></script>
  <script type="text/javascript" src="app/Html5SampleVideoCatalog.js"></script>
  <script type="text/javascript" src="app/Html5SampleVideoPlayer.js"></script>
  <script type="text/javascript" src="app/Html5SampleLogger.js"></script>
  <script type="text/javascript" src="app/Html5SampleEventBus.js"></script>
  <script type="text/javascript" src="app/Html5SampleApplication.js"></script>
  <script type="text/javascript" src="conviva/Html5Http.js"></script>
  <script type="text/javascript" src="conviva/Html5Logging.js"></script>
  <script type="text/javascript" src="conviva/Html5Metadata.js"></script>
  <script type="text/javascript" src="conviva/Html5Storage.js"></script>
  <script type="text/javascript" src="conviva/Html5Time.js"></script>
  <script type="text/javascript" src="conviva/Html5Timer.js"></script>
  <script type="text/javascript" src="conviva/Html5PlayerInterface.js"></script>
  <script type="text/javascript" src="conviva/Html5ConvivaCredentials.js"></script>
  <script type="text/javascript" src="conviva/Html5ConvivaHelper.js"></script>
  <script type="text/javascript" src="conviva/Html5ConvivaIntegration.js"></script>
  <meta charset="utf-8">
  <title>Conviva JavaScript SDK - Sample Application</title>
</head>
<body>
  <div class="vertical-center">
    <div class="container text-center mt100">
      <div class="row">
        <div class="col-md-3">
          <div class="row">
            <div class="col-md-1"></div>
            <div class="left col-md-10"></div>
            <div class="col-md-1"></div>
          </div>
        </div>
        <div class="col-md-6">
          <div class="row">
            <div class="col-md-1"></div>
            <div class="center col-md-10"></div>
            <div class="col-md-1"></div>
          </div>
        </div>
        <div class="col-md-3">
          <div class="row">
            <div class="col-md-1"></div>
            <div class="right col-md-10"></div>
            <div class="col-md-1"></div>
          </div>
        </div>
      </div>
      <div class="row">
        <button id="start-stop">Start Application</button>
      </div>
      <div class="row">
        <button id="contentMutable" style="margin-left:auto;margin-right:auto;display:block;margin-top:0%;margin-bottom:0%"
        onclick="sampleApplication.testContentMutableMetadata()">Test updateContentMetadata() for Content Session</button>
        <button id="contentSetBitrateKbps" style="margin-left:auto;margin-right:auto;display:block;margin-top:0%;margin-bottom:0%"
        onclick="sampleApplication.testContentSetBitrateKbps()">Test setBitrateKbps() for Content Session</button>
        <button id="contentSendCustomEvent" style="margin-left:auto;margin-right:auto;display:block;margin-top:0%;margin-bottom:0%"
        onclick="sampleApplication.testContentSendCustomEvent()">Test sendCustomEvent() for Content Session</button>
        <button id="contentReportError" style="margin-left:auto;margin-right:auto;display:block;margin-top:0%;margin-bottom:0%"
        onclick="sampleApplication.testContentReportError()">Test reportError() for Content Session</button>
        <button id="contentReportError" style="margin-left:auto;margin-right:auto;display:block;margin-top:0%;margin-bottom:10%"
        onclick="sampleApplication.testContentSetCDNServerIP()">Test setCDNServerIP() for Content Session</button>

        <button id="createAdSession" style="margin-left:auto;margin-right:auto;display:block;margin-top:0%;margin-bottom:0%"
        onclick="sampleApplication.testCreateAdSession()">Test CreateAdSession()</button>
        <button id="closeAdSession" style="margin-left:auto;margin-right:auto;display:block;margin-top:0%;margin-bottom:0%"
        onclick="sampleApplication.testCloseAdSession()">Test cleanupSession() for Ad Session</button>
        <button id="adMutable" style="margin-left:auto;margin-right:auto;display:block;margin-top:0%;margin-bottom:0%"
        onclick="sampleApplication.testAdMutableMetadata()">Test updateContentMetadata() for Ad Session</button>
        <button id="adSetBitrateKbps" style="margin-left:auto;margin-right:auto;display:block;margin-top:0%;margin-bottom:0%"
        onclick="sampleApplication.testAdSetBitrateKbps()">Test setBitrateKbps() for Ad Session</button>
        <button id="adSendCustomEvent" style="margin-left:auto;margin-right:auto;display:block;margin-top:0%;margin-bottom:0%"
        onclick="sampleApplication.testAdSendCustomEvent()">Test sendCustomEvent() for Ad Session</button>
        <button id="adReportError" style="margin-left:auto;margin-right:auto;display:block;margin-top:0%;margin-bottom:0%"
        onclick="sampleApplication.testAdReportError()">Test reportError() for Ad Session</button>
      </div>
      <div class="row">
        <ul id="log"></ul>
      </div>
    </div>
  </div>
</body>
</html>
